#!/bin/bash

HOME_DIR="/home/user/code/align_or_not"

## Trifeatures experiments (bimodal with share feature == shape)

# biased == true for synergy modeling
# biased == false for redundancy + uniqueness modeling

for biased in true false; do
    CUDA_VISIBLE_DEVICES=0 python3 ${HOME_DIR}/main_trifeatures.py \
                  +data=trifeatures \
                  +data.data_module.biased=${biased} \
                  +model=comm \
                  mode="train" \
                  trainer.check_val_every_n_epoch=5 \
                  trainer.num_sanity_val_steps=0 \
                  trainer.strategy="ddp_find_unused_parameters_true" \
                  trainer.max_epochs=10
done
